curl --request PUT \
--url https://api.sellauth.com/v1/shops/{shopId}/update \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "pasyzwszwtxpeqq",
"subdomain": "ikymwkiinfowtzm",
"logo_image_id": null,
"favicon_image_id": null,
"background_image_id": null,
"discord_url": "http://www.volkman.com/dignissimos-error-et-itaque-quibusdam-tempora-velit",
"youtube_url": "http://wisoky.com/explicabo-eligendi-occaecati-debitis-et-saepe-eum",
"telegram_url": "https://cummings.org/ipsum-inventore-sed-libero-et.html",
"tiktok_url": "https://www.mccullough.com/deserunt-laudantium-quibusdam-enim-nostrum-soluta-qui-ipsam-non",
"instagram_url": "http://jenkins.org/",
"discord_client_id": "agqzitsslufxbon",
"discord_client_secret": "cxhcsddnacixfxg",
"discord_bot_token": "smpbolpwypthgxn",
"discord_login_enabled": false,
"crisp_website_id": "ysmpobtnyrwnubz",
"tawkto_id": "pcclwldceqpnviy",
"gtag_id": "qjogqswwhqqtqjg",
"gtm_id": "hjxtodzarmjbcub",
"meta_pixel_id": "bljkbkjttcfoszg",
"trustpilot_afs_email": "mario.mayert@example.org",
"description": "Rerum exercitationem est rem.",
"meta_title": "ctqmzsbvhoayvnd",
"meta_description": "tbvsnyfgnguxbsm",
"meta_image_id": null,
"meta_twitter_card": "summary_large_image",
"invoice_header": "ezpaxzmtcdhmgla",
"invoice_notes": "esduhcpozpojzeu",
"invoice_footer": "sgsepklwggloodq",
"invoice_attach_email": true,
"tax_enabled": true,
"tax_rate": 4,
"tax_countries": null,
"force_custom_domain": true,
"refund_out_of_stock_to_customer_balance": false,
"hide_out_of_stock_products": false,
"hide_out_of_stock_variants": true,
"require_shipping_zone": true,
"noindex": true,
"powered_by_enabled": false,
"maintenance_enabled": true,
"maintenance_password": "aojzdbsajohfbtv",
"currency": "tvu",
"default_language": "he",
"enabled_languages": [
"de"
]
}
'import requests
url = "https://api.sellauth.com/v1/shops/{shopId}/update"
payload = {
"name": "pasyzwszwtxpeqq",
"subdomain": "ikymwkiinfowtzm",
"logo_image_id": None,
"favicon_image_id": None,
"background_image_id": None,
"discord_url": "http://www.volkman.com/dignissimos-error-et-itaque-quibusdam-tempora-velit",
"youtube_url": "http://wisoky.com/explicabo-eligendi-occaecati-debitis-et-saepe-eum",
"telegram_url": "https://cummings.org/ipsum-inventore-sed-libero-et.html",
"tiktok_url": "https://www.mccullough.com/deserunt-laudantium-quibusdam-enim-nostrum-soluta-qui-ipsam-non",
"instagram_url": "http://jenkins.org/",
"discord_client_id": "agqzitsslufxbon",
"discord_client_secret": "cxhcsddnacixfxg",
"discord_bot_token": "smpbolpwypthgxn",
"discord_login_enabled": False,
"crisp_website_id": "ysmpobtnyrwnubz",
"tawkto_id": "pcclwldceqpnviy",
"gtag_id": "qjogqswwhqqtqjg",
"gtm_id": "hjxtodzarmjbcub",
"meta_pixel_id": "bljkbkjttcfoszg",
"trustpilot_afs_email": "mario.mayert@example.org",
"description": "Rerum exercitationem est rem.",
"meta_title": "ctqmzsbvhoayvnd",
"meta_description": "tbvsnyfgnguxbsm",
"meta_image_id": None,
"meta_twitter_card": "summary_large_image",
"invoice_header": "ezpaxzmtcdhmgla",
"invoice_notes": "esduhcpozpojzeu",
"invoice_footer": "sgsepklwggloodq",
"invoice_attach_email": True,
"tax_enabled": True,
"tax_rate": 4,
"tax_countries": None,
"force_custom_domain": True,
"refund_out_of_stock_to_customer_balance": False,
"hide_out_of_stock_products": False,
"hide_out_of_stock_variants": True,
"require_shipping_zone": True,
"noindex": True,
"powered_by_enabled": False,
"maintenance_enabled": True,
"maintenance_password": "aojzdbsajohfbtv",
"currency": "tvu",
"default_language": "he",
"enabled_languages": ["de"]
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
name: 'pasyzwszwtxpeqq',
subdomain: 'ikymwkiinfowtzm',
logo_image_id: null,
favicon_image_id: null,
background_image_id: null,
discord_url: 'http://www.volkman.com/dignissimos-error-et-itaque-quibusdam-tempora-velit',
youtube_url: 'http://wisoky.com/explicabo-eligendi-occaecati-debitis-et-saepe-eum',
telegram_url: 'https://cummings.org/ipsum-inventore-sed-libero-et.html',
tiktok_url: 'https://www.mccullough.com/deserunt-laudantium-quibusdam-enim-nostrum-soluta-qui-ipsam-non',
instagram_url: 'http://jenkins.org/',
discord_client_id: 'agqzitsslufxbon',
discord_client_secret: 'cxhcsddnacixfxg',
discord_bot_token: 'smpbolpwypthgxn',
discord_login_enabled: false,
crisp_website_id: 'ysmpobtnyrwnubz',
tawkto_id: 'pcclwldceqpnviy',
gtag_id: 'qjogqswwhqqtqjg',
gtm_id: 'hjxtodzarmjbcub',
meta_pixel_id: 'bljkbkjttcfoszg',
trustpilot_afs_email: 'mario.mayert@example.org',
description: 'Rerum exercitationem est rem.',
meta_title: 'ctqmzsbvhoayvnd',
meta_description: 'tbvsnyfgnguxbsm',
meta_image_id: null,
meta_twitter_card: 'summary_large_image',
invoice_header: 'ezpaxzmtcdhmgla',
invoice_notes: 'esduhcpozpojzeu',
invoice_footer: 'sgsepklwggloodq',
invoice_attach_email: true,
tax_enabled: true,
tax_rate: 4,
tax_countries: null,
force_custom_domain: true,
refund_out_of_stock_to_customer_balance: false,
hide_out_of_stock_products: false,
hide_out_of_stock_variants: true,
require_shipping_zone: true,
noindex: true,
powered_by_enabled: false,
maintenance_enabled: true,
maintenance_password: 'aojzdbsajohfbtv',
currency: 'tvu',
default_language: 'he',
enabled_languages: ['de']
})
};
fetch('https://api.sellauth.com/v1/shops/{shopId}/update', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
Update Shop
Updates a specific shop.
Authorizations
You can retrieve your API key from your dashboard under Account > Developers.
Path Parameters
The shop ID.
Body
Must not be greater than 255 characters.
"pasyzwszwtxpeqq"
Must match the regex /^(?!-)[A-Za-z0-9-]+(?<!-)$/. Must not be greater than 255 characters.
"ikymwkiinfowtzm"
null
null
null
Must be a valid URL. Must not be greater than 255 characters.
"http://www.volkman.com/dignissimos-error-et-itaque-quibusdam-tempora-velit"
Must be a valid URL. Must not be greater than 255 characters.
"http://wisoky.com/explicabo-eligendi-occaecati-debitis-et-saepe-eum"
Must be a valid URL. Must not be greater than 255 characters.
"https://cummings.org/ipsum-inventore-sed-libero-et.html"
Must be a valid URL. Must not be greater than 255 characters.
"https://www.mccullough.com/deserunt-laudantium-quibusdam-enim-nostrum-soluta-qui-ipsam-non"
Must be a valid URL. Must not be greater than 255 characters.
"http://jenkins.org/"
Must not be greater than 30 characters.
"agqzitsslufxbon"
Must not be greater than 64 characters.
"cxhcsddnacixfxg"
Must not be greater than 100 characters.
"smpbolpwypthgxn"
false
Must not be greater than 40 characters.
"ysmpobtnyrwnubz"
Must not be greater than 40 characters.
"pcclwldceqpnviy"
Must not be greater than 30 characters.
"qjogqswwhqqtqjg"
Must not be greater than 30 characters.
"hjxtodzarmjbcub"
Must not be greater than 30 characters.
"bljkbkjttcfoszg"
Must be a valid email address. Must match the regex /@invite.trustpilot.com$/i. Must not be greater than 255 characters.
"mario.mayert@example.org"
Must not be greater than 65535 characters.
"Rerum exercitationem est rem."
Must not be greater than 255 characters.
"ctqmzsbvhoayvnd"
Must not be greater than 65535 characters.
"tbvsnyfgnguxbsm"
null
summary, summary_large_image "summary_large_image"
Must not be greater than 65535 characters.
"ezpaxzmtcdhmgla"
Must not be greater than 65535 characters.
"esduhcpozpojzeu"
Must not be greater than 65535 characters.
"sgsepklwggloodq"
true
true
Must be at least 0. Must not be greater than 100.
4
null
true
false
false
true
true
true
false
true
Must not be greater than 255 characters.
"aojzdbsajohfbtv"
Must be 3 characters.
"tvu"
en, ar, de, es, fa, fi, fr, he, hi, hu, id, it, ja, ko, nl, pl, pt, ro, ru, sv, tr, uk, vi, zh "he"
["de"]